@import "../base/variable.scss";
@import "../base/mixins.scss";


.footer_logo_section{
    border-top: 2px solid $border_line;
    padding-top: 60px;
    .logo_area{
        .logo{
            width:300px;
            margin: 0 auto;
            text-align: center;
            img{
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }
        .content{
            padding-top: 30px;
            p{
                font-size: 14px;
                font-weight: 500;
                text-align: center;
            }
        }
        .social_icon{
            text-align: center;
            padding-top: 22px;
            padding-bottom: 48px;
            ul{
                li{
                    display: inline-block;
                    padding-right: 20px;
                    &:last-child{
                        padding-right: unset;
                    }
                    a{
                        i{
                            font-size: 20px;
                            color: $black;
                        }

                    }
                }
            }
            
        }
    }
}
.footer_section {
    background-color: $light_blue;
    position: relative;
    padding-bottom: 80px;
    .main_footer{
        padding-bottom: 60px;
        position: relative;
        &::after{
            position: absolute;
            content: "";
            border-bottom: 1px solid $white;
            bottom: 0px;
            left: 0px;
            right: 0;
            margin: 0 auto;
            width: 860px;
            z-index: 1;
        }
        .footer_area {
            padding-top: 60px;
            .branches_area{
                h6{
                    font-weight: 500;
                    font-size: 18px;
                    color: $white;
                    padding-bottom: 10px;
                }
                p{
                    line-height: 20px;
                    color: $white;
                    font-size: 14px;
                    font-weight: 300;
                    
                }
                &.bottom_padding{
                    padding-top:20px;
                }
                a{
                    display: block;
                    color: $white;
                    font-weight: 300;
                    font-size: 14px;
                    display: inline-block;
                }
            }
            .listing_area{
                .header{
                    h3{
                        font-size: 24px;
                        font-weight: 500;
                        color: $white;
                    }
                }
                .inner_area{
                    ul{
                        padding-top: 30px;
                        li{
                            padding-top: 20px;
                            a{
                                font-size: 16px;
                                font-weight: 300;
                                color: $white;
                            }
                            &:first-child{
                                padding-top: 0;
                            }
                        }
                    }
                }
            }
            .form_area{
                .header{
                    border-left: 2px solid $white;
                    padding-left: 18px;
                    h5{
                        font-size: 24px;
                        font-weight: 500;
                        color: $white;
                    }
                    h2{
                        font-size: 40px;
                        font-weight: 700;
                        color: $white;
                    }
                }
                .inner_area{
                    padding-top: 30px;
                    form{
                        .submit_btn{
                            text-align: right;
                        }
                    }
                }
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {
    
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .footer_section{
        padding-left: 10px;
        padding-right: 10px;
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .footer_section{
        padding-left: 10px;
        padding-right: 10px;
        .main_footer{
            &::after{
                width: 565px;
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .footer_logo_section{
        padding-top: 20px;
        .logo_area{
            .logo{
                width: 180px;
            }
            .content{
                padding-top: 15px;
                p{
                    line-height: 22px;
                }
            }
            .social_icon{
                padding-top: 18px;
                padding-bottom: 25px;
            }
        }
    }
    .footer_section{
        padding-bottom: 40px;
        .main_footer{
            padding-bottom: 30px;
            &::after{
                width: 386px;
            }
            .footer_area{
                padding-top: 23px;
                .form_area{
                    .header{
                        h5{
                            font-size: 19px;
                        }
                        h2{
                            font-size: 32px;
                            font-weight: 600;
                        }
                    }
                }
                .listing_area{
                    .inner_area{
                        ul{
                            padding-top: 15px;
                            li{
                                padding-top: 7px;
                            }
                        }
                    }
                }
                .branches_area{
                    &.bottom_padding{
                        padding-top: 15px;
                    }
                } 
            }
        }
    }
}


/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .footer_logo_section{
        padding-top: 20px;
        .logo_area{
            .logo{
                width: 180px;
            }
            .content{
                padding-top: 15px;
                p{
                    line-height: 22px;
                }
            }
            .social_icon{
                padding-top: 18px;
                padding-bottom: 25px;
            }
        }
    }
    .footer_section{
        padding-bottom: 40px;
        .main_footer{
            padding-bottom: 30px;
            &::after{
                width: 242px;
            }
            .footer_area{
                padding-top: 23px;
                .form_area{
                    .header{
                        h5{
                            font-size: 19px;
                        }
                        h2{
                            font-size: 32px;
                            font-weight: 600;
                        }
                    }
                }
                .listing_area{
                    .inner_area{
                        ul{
                            padding-top: 15px;
                            li{
                                padding-top: 7px;
                            }
                        }
                    }
                }
                .branches_area{
                    &.bottom_padding{
                        padding-top: 15px;
                    }
                } 
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .footer_logo_section{
        padding-top: 20px;
        .logo_area{
            .logo{
                width: 180px;
            }
            .content{
                padding-top: 15px;
                p{
                    line-height: 22px;
                }
            }
            .social_icon{
                padding-top: 18px;
                padding-bottom: 25px;
            }
        }
    }
    .footer_section{
        padding-bottom: 40px;
        .main_footer{
            padding-bottom: 30px;
            &::after{
                width: 242px;
            }
            .footer_area{
                padding-top: 23px;
                .form_area{
                    .header{
                        h5{
                            font-size: 19px;
                        }
                        h2{
                            font-size: 32px;
                            font-weight: 600;
                        }
                    }
                }
                .listing_area{
                    .inner_area{
                        ul{
                            padding-top: 15px;
                            li{
                                padding-top: 7px;
                            }
                        }
                    }
                }
                .branches_area{
                    &.bottom_padding{
                        padding-top: 15px;
                    }
                } 
            }
        }
    }

}
    


/* Smaller phones */
@media (max-width: 320px) {}